Index: sansview/perspectives/fitting/basepage.py
===================================================================
--- sansview/perspectives/fitting/basepage.py	(revision fcd8887d1cf72c9937165f1e05a580b32c23c40e)
+++ sansview/perspectives/fitting/basepage.py	(revision b324aa9324de278f19e7264b7f4942401a9f39f3)
@@ -457,4 +457,5 @@
                     if path is None:
                         self.disp_cb_dict[p].SetValue(False)
+                        self.noDisper_rbox.SetValue(True)
                         return
                     try:
Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision fcd8887d1cf72c9937165f1e05a580b32c23c40e)
+++ sansview/perspectives/fitting/fitpage.py	(revision b324aa9324de278f19e7264b7f4942401a9f39f3)
@@ -551,9 +551,6 @@
                             self.orientation_params_disp.append([None,name3, Tct2
                                                      ,None,None, None, None,None])
-        """
-        #Display units text on panel
-        for item in self.model.dispersion.keys(): 
-            name = item +".width"  
-        """
+       
+
         self.state.disp_cb_dict = copy.deepcopy(self.disp_cb_dict)  
           
@@ -570,7 +567,7 @@
         wx.PostEvent(self.parent, StatusEvent(status=\
                         " Selected Distribution: Gaussian"))   
-        ix =0 
-        iy +=1 
-
+        #Fill the list of fittable parameters
+        self.select_all_param(event=None)
+        
         self.Layout()
 
@@ -1223,14 +1220,14 @@
                             item[0].SetValue(True)
                             self.param_toFit.append(item )
-                if len(self.fittable_param)>0:
-                    for item in self.fittable_param:
-                        if self.data.__class__.__name__=="Data2D":
+                #if len(self.fittable_param)>0:
+                for item in self.fittable_param:
+                    if self.data.__class__.__name__=="Data2D":
+                        item[0].SetValue(True)
+                        self.param_toFit.append(item )
+                    else:
+                        ## for 1D all parameters except orientation
+                        if not item in self.orientation_params_disp:
                             item[0].SetValue(True)
                             self.param_toFit.append(item )
-                        else:
-                            ## for 1D all parameters except orientation
-                            if not item in self.orientation_params_disp:
-                                item[0].SetValue(True)
-                                self.param_toFit.append(item )
             else:
                 for item in self.parameters:
@@ -1241,4 +1238,5 @@
            
         self.save_current_state_fit()  
+       
         if event !=None:
             #self._undo.Enable(True)
@@ -1341,7 +1339,8 @@
         iy = 0
         ix = 0
-        self.cb1 = wx.CheckBox(self, -1,"Select all", (10, 10))
+        select_text = "Uncheck all to fix"
+        self.cb1 = wx.CheckBox(self, -1,str(select_text), (10, 10))
         wx.EVT_CHECKBOX(self, self.cb1.GetId(), self.select_all_param)
-        self.cb1.SetValue(False)
+        self.cb1.SetValue(True)
         
         sizer.Add(self.cb1,(iy, ix),(1,1),\
@@ -1386,5 +1385,5 @@
                 ## add parameters name with checkbox for selecting to fit
                 cb = wx.CheckBox(self, -1, item )
-                cb.SetValue(False)
+                cb.SetValue(True)
                 wx.EVT_CHECKBOX(self, cb.GetId(), self.select_param)
                 sizer.Add( cb,( iy, ix),(1,1),
@@ -1516,10 +1515,5 @@
                     sizer.Add(ctl3, (iy,ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
                     ctl3.Hide()
-                    #if self.data.__class__.__name__ =="Data2D":
-                    #    ctl3.Show(True)
-                     
-                    #else:
-                    #    ctl3.Hide()
-                
+                 
                     ix += 1
                     ctl4 = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH/2,20), style=wx.TE_PROCESS_ENTER,
@@ -1560,14 +1554,7 @@
             if self.model.details.has_key(item):
                 self.text2_4.Show()
-
-        #self.state.cb1 = self.cb1.GetValue()        
-        #self._copy_parameters_state(self.orientation_params,
-        #                             self.state.orientation_params)
-        #self._copy_parameters_state(self.orientation_params_disp,
-        #                             self.state.orientation_params_disp)
-        #self._copy_parameters_state(self.parameters, self.state.parameters)
-        #self._copy_parameters_state(self.fittable_param, self.state.fittable_param)
-        #self._copy_parameters_state(self.fixed_param, self.state.fixed_param)
- 
+        #Fill the list of fittable parameters
+        self.select_all_param(event=None)
+
         self.save_current_state_fit()
         boxsizer1.Add(sizer)
Index: sansview/perspectives/fitting/fitting.py
===================================================================
--- sansview/perspectives/fitting/fitting.py	(revision 25f766a11beb90341a3bf0e35c2c0c7927f2df18)
+++ sansview/perspectives/fitting/fitting.py	(revision b324aa9324de278f19e7264b7f4942401a9f39f3)
@@ -185,6 +185,5 @@
         fit_option = "Select data for fitting"
         fit_hint =  "Dialog with fitting parameters "
-        invariant_option = "Compute Invariant"
-        invariant_hint =  "A dialog will appears for further computation"
+       
         for item in graph.plottables:
             if item.__class__.__name__ is "Data2D":
@@ -205,13 +204,9 @@
                                 if item.is_data:
                                     return [[fit_option, fit_hint,
-                                              self._onSelect],
-                                            [invariant_option, 
-                                    invariant_hint, self._compute_invariant]]
+                                              self._onSelect]]
                                 else:
                                     return [] 
                             else:
-                               return [[fit_option, fit_hint, self._onSelect],
-                                       [invariant_option, 
-                                        invariant_hint, self._compute_invariant]]
+                               return [[fit_option, fit_hint, self._onSelect]]
         return []   
 
@@ -524,5 +519,4 @@
             and panel_name to find the slicer 's panel concerned.
         """
-        
         for item in self.parent.panels:
             if self.parent.panels[item].window_caption.startswith(event.panel_name):
@@ -530,18 +524,5 @@
                 
         self.parent._mgr.Update()
-               
-    def _compute_invariant(self, event):    
-        """
-            Open the invariant panel to invariant computation
-        """
-        self.panel = event.GetEventObject()
-        Plugin.on_perspective(self,event=event)
-        for plottable in self.panel.graph.plottables:
-            if plottable.name == self.panel.graph.selected_plottable:
-                data = self.copy_data(item= plottable, dy=plottable.dy)
-               
-                from invariant_panel import InvariantWindow
-                frame = InvariantWindow(base=self.parent, data=plottable, graph=self.panel.graph)   
-                frame.Show(True)
+   
               
     def _closed_fitpage(self, event):   
@@ -665,13 +646,10 @@
                 ## before sending them to the fit engine
                 if len(self.err_dy)>0:
+                    dy = item.dy
                     if item.name in  self.err_dy.iterkeys():
-                        dy= self.err_dy[item.name]
-                        data= self.copy_data(item, dy)
-                        data.is_data= item.is_data
-                    else:
-                        data= self.copy_data(item, item.dy)
-                        data.is_data= item.is_data
-                        
-                       
+                        dy = self.err_dy[item.name]
+                    data = self.copy_data(item, dy)
+                    data.is_data= item.is_data
+                
                 else:
                     if item.dy==None:
@@ -1143,5 +1121,5 @@
             their errors of y coordinates for 1Data hide and show error
         """
-        self.err_dy= event.err_dy
+        self.err_dy = event.err_dy
         
          
